<?php

namespace Ulmus\Ldap\Entity;

use Ulmus\Ldap\Entity\Field\{ Datetime };

use Ulmus\Attribute\Property\Field;

use Ulmus\Ldap\Attribute\Obj\ObjectClass;

#[ObjectClass("group")]
class Group
{
    use \Ulmus\Ldap\EntityTrait;

    #[Field]
    public string $samaccountname;

    #[Field]
    public array $members;

    #[Field]
    public string $name;

    #[Field]
    public string $canonicalName;

    #[Field(name: "objectGUID")]
    public string $guid;

    public function __toString() : string
    {
        return $this->name;
    }
}